# Generating **S**ynthetic **D**ata for Training 3D **A**vatars from a Single Image with **V**ideo Diffusion Models and 3D Gaussian Splatting

Anonymous Authors 
<br>
<b> Generating Synthetic Data for Training 3D Avatars from a Single Image with Video Diffusion Models and 3D Gaussian Splatting.</b> 
<br>
Anonymous CVPR Workshop Syntagen Submission
<br>
<i>Anonymous</i>
<br>
</div>

Anonymous Authors 
![teaser](assets/teaser.png)

## Overview

 SDAV creates photorealistic 3D human avatars from a single image input. Our approach combines video diffusion models with 3D Gaussian Splatting to generate high-fidelity, animatable avatars while preserving the subject's identity and appearance details.

## Installation

### Requirements
- CUDA 12.1
- Python 3.9
- PyTorch 2.3.1


### Environment Setup
Our default installation method is based on Conda package and environment management:
```bash
cd envs/
conda env create --file sdav.yaml
conda activate sdav
```
Install required packages via pip: 
```bash
pip install pip==24.0 # For pytorch-lightning==1.6.5
pip install cmake     # For dlib 
pip install -r sdav.txt 
```
Install CUDA related packages:
```bash
conda install -c "nvidia/label/cuda-12.1.1" cuda-nvcc cuda-cudart-dev libcurand-dev
conda install -c nvidia cuda-profiler-api
```
Install MMPose:
```bash
pip install --no-cache-dir -U openmim 
pip install mmdet
pip install mmcv==2.2.0 -f https://download.openmmlab.com/mmcv/dist/cu121/torch2.3/index.html
pip install mmpose
```
Install modified version of 3DGS:
```bash
cd diff_gaussian_rasterization_depth/
python setup.py install
cd .. # Return to envs directory
```
Install 3DGS Renderer:
```bash
cd diff-gaussian-rasterization
pip install . 
cd ../../ # Return to base avatar directory
```

### Downloads

You can download the required files to run this code with:
```bash
gdown 1334e-9Xy3cdgPoSNVLn-DRZUV4Rz_35u
python utils/extract_zip.py # This will put extracted files in place. 
rm -rf Avatar.zip
```
### 🚨Package Compatibility Notes🚨

To ensure seamless execution of our pipeline, certain package modifications are required. Please apply the fixes detailed in [FIX.md](docs/FIX.md) before running the code. These modifications address compatibility issues with dependencies and will prevent runtime errors during execution.

## Creating Synthetic Data for Avatar Training
###  Pipeline
![teaser](assets/pipeline.png)

### Automated Processing 
We provide a script to automate the entire pipeline for avatar generation from a single image. This script supports parallel processing (training multiple avatars at the same time 1 per 1 gpu).
<br>
Put your input image in *data/{name_of_image}/ref.png*. 
<br>
In our example we place image in *data/female-3-casual/ref.png/*.

```bash
# For a single avatar
bash script.sh <name_of_image> <gpu_id>

# Examples for parallel processing on multiple GPUs
bash script.sh female-3-casual 0  # Running on GPU 0
bash script.sh thuman_181 1    # Running on GPU 1
```
If you have correctly installed the environment and applied the package fixes in [FIX.md](docs/FIX.md), there should be no problem running the automated script. However, if there are issues, we also provide a step by step guide to train your avatar. Follow the details in [TRAIN.md](docs/TRAIN.md).

